> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteUser

> Permanently deletes a [User](#schema_user). It cannot be undone.



## OpenAPI

````yaml chat-openapi.json delete /users/me
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /users/me:
    delete:
      tags:
        - Endpoints
      summary: Delete User
      description: Permanently deletes a [User](#schema_user). It cannot be undone.
      operationId: deleteUser
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the [User](#schema_user) object that was deleted
          content:
            application/json:
              schema:
                type: object
                title: deleteUserResponse
                additionalProperties: false
        default:
          description: Returns the [User](#schema_user) object that was deleted
          content:
            application/json:
              schema:
                type: object
                title: deleteUserResponse
                additionalProperties: false

````